Package twisted :: Package internet :: Module utils

[frames | no frames]

## Module twisted.internet.utils

Utility methods.

Classes
`_BackRelay` |
`_SRVConnector_ClientFactoryWrapper` |
`_ValueGetter` |
`SRVConnector` | A connector that looks up DNS SRV records.

Function Summary
| `_callProtocolWithDeferred(protocol, executable, args, env, path, reactor)`
| ``getProcessOutput`(executable, args, env, path, reactor)` Spawn a process and return its output as a deferred returning a string.
| ``getProcessValue`(executable, args, env, path, reactor)` Spawn a process and return its exit code as a Deferred.

Function Details

### getProcessOutput(executable, args=(), env={}, path='.', reactor=<twisted.internet.default.SelectReactor instance at 0x825...)

Spawn a process and return its output as a deferred returning a string.

  Parameters:
    `executable` - The file name to run and get the output of - the full path should be used.
    `args` - the command line arguments to pass to the process; a sequence of strings. The first string should *NOT* be the executable's name.
    `env` - the environment variables to pass to the processs; a dictionary of strings.
    `path` - the path to run the subprocess in - defaults to the current directory.
    `reactor` - the reactor to use - defaults to the default reactor

### getProcessValue(executable, args=(), env={}, path='.', reactor=<twisted.internet.default.SelectReactor instance at 0x825...)

Spawn a process and return its exit code as a Deferred.

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net